Bug 1114423 - broken symlink to poweredby.png
Summary: broken symlink to poweredby.png
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: thttpd
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 04:39 UTC by Christian Kujau
Modified: 2016-07-14 13:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 05:41:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Kujau 2014-06-30 04:39:02 UTC
Description of problem:

A really minor problem, but still: /var/www/thttpd contains a broken symlink:

==========================================================
$ ls -lgo
total 8
-rw-r--r--. 1  729 Aug  3  2013 index.html
lrwxrwxrwx. 1   32 Jun 26 18:19 poweredby.png -> /usr/share/pixmaps/poweredby.png
-rw-r--r--. 1 1796 Aug  3  2013 thttpd_powered_3.png

$ ls -L poweredby.png 
ls: cannot access poweredby.png: No such file or directory
==========================================================

According to the included "index.html", the "poweredby.png" picture should resemble "Powered by GNU/Linux" - maybe a penguin would do? Or maybe "Powered by Fedora Linux" should be used and "poweredby.png" should point to a Fedora logo instead?

Version-Release number of selected component (if applicable):
thttpd-2.25b-30.fc20.i686

How reproducible:
always

Steps to Reproduce:
1. Install thttpd
2. Start thttpd
3. Point browser to machine where thttpd has been started.

Actual results:
404 on the image link

Expected results:
A nice logo :-)

Additional info:

Comment 1 Fedora End Of Life 2015-05-29 12:15:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-30 01:03:58 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Christian Kujau 2015-07-29 17:52:25 UTC
This is still the case with Fedora 22:

==================================================================
fedora0# rpm -q thttpd
thttpd-2.25b-33.fc22.i686
fedora0# cd /var/www/thttpd
fedora0# ls -lgo 
total 8
-rw-r--r--. 1  729 Aug 21  2014 index.html
lrwxrwxrwx. 1   32 Aug 21  2014 poweredby.png -> /usr/share/pixmaps/poweredby.png
-rw-r--r--. 1 1796 Aug 21  2014 thttpd_powered_3.png

fedora0# ls -L poweredby.png
ls: cannot access poweredby.png: No such file or directory
==================================================================

Installing the "fedora-logos-httpd" package fixes this issue. Should thttpd depend on it?

Comment 4 Fedora Admin XMLRPC Client 2015-09-30 19:19:37 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2015-11-15 21:54:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Update System 2015-11-28 21:52:50 UTC
thttpd-2.25b-35.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-28076d0830

Comment 7 Fedora Update System 2015-11-29 23:53:15 UTC
thttpd-2.25b-35.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thttpd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-28076d0830

Comment 8 Christian Kujau 2015-12-08 05:41:01 UTC
thttpd-2.25b-35.fc23.i686 fixed this:

$ ls -lgo /var/www/thttpd/
total 16
-rw-r--r--. 1  729 Nov 28 14:41 index.html
-rw-r--r--. 1  729 Aug  3  2013 index.html.fedora
-rw-r--r--. 1 2811 Nov 28 14:41 poweredby.png
-rw-r--r--. 1 1796 Nov 28 14:41 thttpd_powered_3.png

Thanks!

Comment 9 Fedora Update System 2016-01-16 21:52:34 UTC
thttpd-2.25b-37.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-06a7c972e8

Comment 10 Fedora Update System 2016-01-17 19:54:34 UTC
thttpd-2.25b-37.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-06a7c972e8

Comment 11 Fedora Admin XMLRPC Client 2016-04-20 21:24:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora Admin XMLRPC Client 2016-05-11 13:53:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2016-07-14 13:15:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.